Subject: How to find the first commit belonging to any branch

From: Kristian Amlie <[email-masked]>
Date: Tue, 22 Jul 2008 11:08:47 +0200

Hi all!

I have a question about git: I have one commit sha1, and I would like to 
know the nearest commit that appears in *any* other branch. The sha1 
that I have does not belong to any branch.

The obvious thing to do would be to make a for loop and iterate over 
existing branches while calling git merge-base, but I'm wondering if 
there's a more clever method.

Regards
Kristian Amlie